<?php
namespace Core;

abstract class EventGenerator
{
    protected $observers = array();

    function addObserver($observer)
    {
        $this->observers[] = $observer;
    }
    function notify()
    {
        foreach($this->observers as $observer)
        {
            $observer->update();
        }
    }
}