<?php
namespace Core;
/**
 * 注册树模式
 * Class Register
 * @package Core
 */
class Register{
    /**
     * @var array
     */
    protected static $objects = array();

    /**
     * @param $alias
     * @param $object
     */
    public function set($alias,$object){
        self::$objects[$alias] = $object;
    }

    /**
     * @param $alias
     * @return mixed
     */
    public function get($alias){
        return self::$objects[$alias];
    }

    /**
     * @param $alias
     */
    public function remove($alias){
        unset(self::$objects[$alias]);
    }
}